summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorXZS2015-07-01 15:24:32 +0200
committerXZS2015-07-01 15:31:48 +0200
commita5e4098be857743e9688804d16d4f785df9a8a3f (patch)
tree5a214b03a1fda39fe5e4133e4747e217ab476890
downloadaur-a5e4098be857743e9688804d16d4f785df9a8a3f.tar.gz
intitial import from old AUR version 3
-rw-r--r--.SRCINFO22
-rw-r--r--PKGBUILD39
-rw-r--r--desktop.install12
-rw-r--r--ironclad.desktop8
4 files changed, 81 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..09c63e43dfb
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,22 @@
+pkgbase = ironclad-tactics-hib
+ pkgdesc = a fast-paced, card-based tactics game set in an alternate history Civil War – with steam-powered military robots (Humble Bundle version)
+ pkgver = 1
+ pkgrel = 1
+ url = http://www.zachtronics.com/ironclad-tactics/
+ install = desktop.install
+ arch = i686
+ arch = x86_64
+ license = custom:commercial
+ depends = libgl
+ depends = glu
+ provides = ironclad-tactics
+ conflicts = ironclad-tactics
+ source = hib://IroncladTacticsDeluxe_Linux.tar.gz
+ source = ironclad.png::http://fc06.deviantart.net/fs70/f/2013/303/a/9/ironclad_tactics_v1_by_gabbynaruto-d6scgn3.png
+ source = ironclad.desktop
+ md5sums = 1e83fd49ca88bc458c1a543eb1117714
+ md5sums = 680c9a791d41cba2355a412f5b412ed6
+ md5sums = a12dd236131527ec3a41ff44b81ad84b
+
+pkgname = ironclad-tactics-hib
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..dc237979795
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,39 @@
+# Maintainer: XZS <d dot f dot fischer at web dot de>
+# Contributor: Duncan K. <duncank@fastmail.fm>
+
+pkgname=ironclad-tactics-hib
+pkgver=1
+pkgrel=1
+pkgdesc='a fast-paced, card-based tactics game set in an alternate history Civil War – with steam-powered military robots (Humble Bundle version)'
+url='http://www.zachtronics.com/ironclad-tactics/'
+arch=('i686' 'x86_64')
+license=('custom:commercial')
+depends=('libgl' 'glu')
+conflicts=('ironclad-tactics')
+provides=('ironclad-tactics')
+DLAGENTS+=('hib::/usr/bin/echo "Could not find %u. Manually download it to \"$(pwd)\", or set up a hib:// DLAGENT in /etc/makepkg.conf."; exit 1')
+install=desktop.install
+
+source=("hib://IroncladTacticsDeluxe_Linux.tar.gz"
+ "ironclad.png::http://fc06.deviantart.net/fs70/f/2013/303/a/9/ironclad_tactics_v1_by_gabbynaruto-d6scgn3.png"
+ "ironclad.desktop")
+md5sums=('1e83fd49ca88bc458c1a543eb1117714'
+ '680c9a791d41cba2355a412f5b412ed6'
+ 'a12dd236131527ec3a41ff44b81ad84b')
+
+package() {
+ # Mono, used to launch the game, cannot handle spaces in paths, so it has to be installed to a space-less location.
+ local destdir=/opt/ironclad
+ install -d "$pkgdir"{"$destdir",/usr/{bin,share/{pixmaps,applications}}}
+
+ # Install game files
+ cp --no-preserve=ownership -r 'Ironclad Tactics'/* "$pkgdir$destdir"
+
+ # Adapt and place launcher script.
+ sed -i "2s|^|cd ${destdir}\nLD_LIBRARY_PATH=. |" "$pkgdir$destdir/ironcladtactics.sh"
+ ln -s "$destdir/ironcladtactics.sh" "$pkgdir/usr/bin/ironcladtactics"
+
+ # Install desktop file and icon
+ install -m644 *.desktop "$pkgdir/usr/share/applications"
+ install -m644 *.png "$pkgdir/usr/share/pixmaps"
+}
diff --git a/desktop.install b/desktop.install
new file mode 100644
index 00000000000..29efd5c2d9c
--- /dev/null
+++ b/desktop.install
@@ -0,0 +1,12 @@
+post_install() {
+ update-desktop-database -q
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+post_remove() {
+ post_upgrade $1
+}
diff --git a/ironclad.desktop b/ironclad.desktop
new file mode 100644
index 00000000000..e9704b80ee0
--- /dev/null
+++ b/ironclad.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Ironclad Tactics
+Comment=a fast-paced, card-based tactics game set in an alternate history Civil War – with steam-powered military robots!
+Exec=ironcladtactics
+Terminal=false
+Type=Application
+Icon=ironclad
+Categories=Game;CardGame;StrategyGame;